Loading...
Searching...
No Matches
gtsam::traits< const Cal3_S2Stereo > Struct Reference
Inheritance diagram for gtsam::traits< const Cal3_S2Stereo >:

## Additional Inherited Members

Public Member Functions inherited from gtsam::internal::ManifoldTraits< Cal3_S2Stereo >
| BOOST_CONCEPT_ASSERT ((HasManifoldPrereqs< Cal3_S2Stereo >))
Public Member Functions inherited from gtsam::Testable< Cal3_S2Stereo >
| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< Cal3_S2Stereo >))
Static Public Member Functions inherited from gtsam::internal::ManifoldTraits< Cal3_S2Stereo >
static TangentVector | Local (const Cal3_S2Stereo &origin, const Cal3_S2Stereo &other)
static Cal3_S2Stereo | Retract (const Cal3_S2Stereo &origin, const TangentVector &v)
Static Public Member Functions inherited from gtsam::internal::GetDimensionImpl< Cal3_S2Stereo, Cal3_S2Stereo::dimension >
static int | GetDimension (const Cal3_S2Stereo &)
Static Public Member Functions inherited from gtsam::Testable< Cal3_S2Stereo >
static void | Print (const Cal3_S2Stereo &m, const std::string &str="")
static bool | Equals (const Cal3_S2Stereo &m1, const Cal3_S2Stereo &m2, double tol=1e-8)
Public Types inherited from gtsam::internal::ManifoldTraits< Cal3_S2Stereo >
enum |
typedef Cal3_S2Stereo | ManifoldType
typedef manifold_tag | structure_category
typedef Eigen::Matrix< double, dimension, 1 > | TangentVector

The documentation for this struct was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/geometry/Cal3_S2Stereo.h